# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLFormElement Class Reference

The `FORM` element encompasses behavior similar to a collection and an element. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLFormElement:

[legend]
Collaboration diagram for DOM::HTMLFormElement:

[legend]
List of all members.

## Public Member Functions

| HTMLFormElement (const HTMLFormElement &other)
| HTMLFormElement (const Node &other)
HTMLFormElement & | operator= (const HTMLFormElement &other)
HTMLFormElement & | operator= (const Node &other)
HTMLCollection | elements () const
long | length () const
DOMString | name () const
void | setName (const DOMString &)
DOMString | acceptCharset () const
void | setAcceptCharset (const DOMString &)
DOMString | action () const
void | setAction (const DOMString &)
DOMString | enctype () const
void | setEnctype (const DOMString &)
DOMString | method () const
void | setMethod (const DOMString &)
DOMString | target () const
void | setTarget (const DOMString &)
void | submit ()
void | reset ()

## Protected Member Functions

| HTMLFormElement (HTMLFormElementImpl *impl)

## Friends

class | HTMLButtonElement
class | HTMLFieldSetElement
class | HTMLInputElement
class | HTMLLabelElement
class | HTMLLegendElement
class | HTMLSelectElement
class | HTMLTextAreaElement
class | HTMLOptionElement
class | HTMLIsIndexElement
class | HTMLObjectElement

## Detailed Description

The `FORM` element encompasses behavior similar to a collection and an element.

It provides direct access to the contained input elements as well as the attributes of the form element. See the FORM element definition in HTML 4.0.

Definition at line 194 of file html_form.h.

## Member Function Documentation

HTMLCollection HTMLFormElement::elements | ( |  | ) | const

| Returns a collection of all control elements in the form. Definition at line 198 of file html_form.cpp.

long HTMLFormElement::length | ( |  | ) | const

| The number of form controls in the form. Definition at line 204 of file html_form.cpp. References DOM::HTMLCollection::length().

DOMString HTMLFormElement::name | ( |  | ) | const

| Names the form. Definition at line 210 of file html_form.cpp.

void HTMLFormElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 216 of file html_form.cpp.

DOMString HTMLFormElement::acceptCharset | ( |  | ) | const

| List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.0. Definition at line 221 of file html_form.cpp.

void HTMLFormElement::setAcceptCharset | ( | const DOMString & |  | ) |

| see acceptCharset Definition at line 227 of file html_form.cpp.

DOMString HTMLFormElement::action | ( |  | ) | const

| Server-side form handler. See the action attribute definition in HTML 4.0. Definition at line 232 of file html_form.cpp.

void HTMLFormElement::setAction | ( | const DOMString & |  | ) |

| see action Definition at line 238 of file html_form.cpp.

DOMString HTMLFormElement::enctype | ( |  | ) | const

| The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.0. Definition at line 243 of file html_form.cpp.

void HTMLFormElement::setEnctype | ( | const DOMString & |  | ) |

| see enctype Definition at line 249 of file html_form.cpp.

DOMString HTMLFormElement::method | ( |  | ) | const

| HTTP method used to submit form. See the method attribute definition in HTML 4.0. Definition at line 254 of file html_form.cpp.

void HTMLFormElement::setMethod | ( | const DOMString & |  | ) |

| see method Definition at line 260 of file html_form.cpp.

DOMString HTMLFormElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 265 of file html_form.cpp.

void HTMLFormElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 271 of file html_form.cpp.

void HTMLFormElement::submit | ( |  | ) |

| Submits the form. It performs the same action as a submit button. Definition at line 276 of file html_form.cpp.

void HTMLFormElement::reset | ( |  | ) |

| Restores a form element's default values. It performs the same action as a reset button. Definition at line 281 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003